package server.command;

import common.entity.Entity;
import common.world.BlockPos;
import common.world.Position;

public interface Executor {
	void logConsole(String msg);
	String getExecId();
	String getExecName();
	Position getExecPos();
	Entity getPointedEntity();
	BlockPos getPointedPosition();
	
	default void logConsole(String fmt, Object ... args) {
		this.logConsole(String.format(fmt, args));
	}
}
